package com.bocloud.cmp.provider.manageone;

import com.bocloud.cmp.model.manageone.VdcModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface VdcProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(VdcModel model);

    BocloudResult remove(String vdcId);

    BocloudResult detail(String vdcId);

    BocloudResult update(VdcModel model);
}
